package com.pcloud.book.timecontrol.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

public class TimeControlTaskItem {
    private Integer id;

    private Integer taskId;

    private Integer startDay;

    private Integer finishConfirm;

    private String finishKeyWord;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    private Date updateTime;

    private Integer tdConfirm;

    private String finishLinkIntroduce;

    private String finishLinkUrl;

    private Integer addSendTime;

    private String sendHour;

    private Integer progressGuidance;

    private String itemIntroduce;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;

    private Integer pushType;

    private List<Integer> weekdays;


    public List<Integer> getWeekdays() {
        return weekdays;
    }

    public void setWeekdays(List<Integer> weekdays) {
        this.weekdays = weekdays;
    }

    public Integer getPushType() {
        return pushType;
    }

    public void setPushType(Integer pushType) {
        this.pushType = pushType;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getAddSendTime() {
        return addSendTime;
    }

    public void setAddSendTime(Integer addSendTime) {
        this.addSendTime = addSendTime;
    }

    public String getSendHour() {
        return sendHour;
    }

    public void setSendHour(String sendHour) {
        this.sendHour = sendHour;
    }

    public Integer getTdConfirm() {
        return tdConfirm;
    }

    public void setTdConfirm(Integer tdConfirm) {
        this.tdConfirm = tdConfirm;
    }

    public String getFinishLinkIntroduce() {
        return finishLinkIntroduce;
    }

    public void setFinishLinkIntroduce(String finishLinkIntroduce) {
        this.finishLinkIntroduce = finishLinkIntroduce;
    }

    public String getFinishLinkUrl() {
        return finishLinkUrl;
    }

    public void setFinishLinkUrl(String finishLinkUrl) {
        this.finishLinkUrl = finishLinkUrl;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTaskId() {
        return taskId;
    }

    public void setTaskId(Integer taskId) {
        this.taskId = taskId;
    }

    public Integer getStartDay() {
        return startDay;
    }

    public void setStartDay(Integer startDay) {
        this.startDay = startDay;
    }

    public Integer getFinishConfirm() {
        return finishConfirm;
    }

    public void setFinishConfirm(Integer finishConfirm) {
        this.finishConfirm = finishConfirm;
    }

    public String getFinishKeyWord() {
        return finishKeyWord;
    }

    public void setFinishKeyWord(String finishKeyWord) {
        this.finishKeyWord = finishKeyWord == null ? null : finishKeyWord.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getProgressGuidance() {
        return progressGuidance;
    }

    public void setProgressGuidance(Integer progressGuidance) {
        this.progressGuidance = progressGuidance;
    }

    public String getItemIntroduce() {
        return itemIntroduce;
    }

    public void setItemIntroduce(String itemIntroduce) {
        this.itemIntroduce = itemIntroduce;
    }
}